import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';

class AboutPage extends StatelessWidget {
  const AboutPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.start,
      crossAxisAlignment: CrossAxisAlignment.start,
      mainAxisSize: MainAxisSize.max,
      children: <Widget>[
        SizedBox(height: 50),
        Text(
          'about_title',
          textAlign: TextAlign.start,
          style: Theme.of(context).textTheme.headlineMedium!.apply(fontWeightDelta: 2),
        ).tr(),
        Text('about_content').tr(),
      ],
    );
  }
}
