import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';

import 'package:random/ui/widgets/settings_form.dart';

class SettingsPage extends StatelessWidget {
  const SettingsPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.start,
      crossAxisAlignment: CrossAxisAlignment.start,
      mainAxisSize: MainAxisSize.max,
      children: <Widget>[
        SizedBox(height: 50),
        Text(
          'settings_title',
          textAlign: TextAlign.start,
          style: Theme.of(context).textTheme.headlineMedium!.apply(fontWeightDelta: 2),
        ).tr(),
        SizedBox(height: 8),
        SettingsForm(),
      ],
    );
  }
}
